> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Channel Token



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /workspaces/{workspace_id}/agent/channels/tokens
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/agent/channels/tokens:
    post:
      tags:
        - agent-channels
      summary: Create Channel Token
      operationId: agent-channels-create_channel_token
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentChannelTokenCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentChannelTokenRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    AgentChannelTokenCreate:
      properties:
        agent_preset_id:
          type: string
          format: uuid
          title: Agent Preset Id
          description: Preset to link this channel token to
        channel_type:
          $ref: '#/components/schemas/ChannelType'
          description: External channel type
        config:
          $ref: '#/components/schemas/SlackChannelTokenConfig'
          description: Channel-specific configuration payload
        is_active:
          type: boolean
          title: Is Active
          description: Whether this token is active
          default: true
      type: object
      required:
        - agent_preset_id
        - channel_type
        - config
      title: AgentChannelTokenCreate
      description: Request schema for creating an external channel token.
    AgentChannelTokenRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
        agent_preset_id:
          type: string
          format: uuid
          title: Agent Preset Id
        channel_type:
          $ref: '#/components/schemas/ChannelType'
        config:
          $ref: '#/components/schemas/SlackChannelTokenConfig'
        is_active:
          type: boolean
          title: Is Active
        public_token:
          type: string
          title: Public Token
        endpoint_url:
          type: string
          title: Endpoint Url
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - workspace_id
        - agent_preset_id
        - channel_type
        - config
        - is_active
        - public_token
        - endpoint_url
        - created_at
        - updated_at
      title: AgentChannelTokenRead
      description: Response schema for an external channel token.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChannelType:
      type: string
      enum:
        - slack
      title: ChannelType
      description: Supported external channel types.
    SlackChannelTokenConfig:
      properties:
        slack_bot_token:
          type: string
          minLength: 1
          title: Slack Bot Token
          description: Slack bot token used for API calls
        slack_client_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Slack Client Id
          description: Slack app client ID used for OAuth install
        slack_client_secret:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Slack Client Secret
          description: Slack app client secret used for OAuth install
        slack_signing_secret:
          type: string
          minLength: 1
          title: Slack Signing Secret
          description: Slack signing secret used for request verification
      type: object
      required:
        - slack_bot_token
        - slack_signing_secret
      title: SlackChannelTokenConfig
      description: Slack channel token configuration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````